Library Version 11.2.5.3

push_front
Prev | Chapter 4. Db_vector | Next

## push_front

### Function Details

    void push_front(const T &x)

Push an element x into the vector from front.

#### Parameters

##### x

The element to push into this vector. This function supports auto-commit.

### Group: Functions specific to deque and list

These functions come from std::list and std::deque, and have identical behaviors to their counterparts in std::list/stddeque.

http://www.cplusplus.com/reference/stl/deque/pop_front/ http://www.cplusplus.com/reference/stl/deque/push_front/

### Class

db_vector

Prev | Up | Next
assign | Home | pop_front